FreeHandParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
FreeHandParserInternal::State Struct Reference

Internal: the state of a FreeHandParser. More...

## Public Member Functions
| State ()
| constructor
ZoneType | getZoneType (int id) const
| try to return a zone type
bool | addZoneId (int id, ZoneType zoneType)
| try to add a id
bool | updateFillStyle (int zId, MWAWGraphicStyle &style) const
| try to update the fill style
bool | updateLineStyle (int zId, MWAWGraphicStyle &style) const
| try to update the line style
int | updateGroupLayerId (int zId, std::set< int > &seen)
| try to update the group layer id, return 0 or the new layer id

## Public Attributes
int | m_mainGroupId
| the main group id
MWAWTransformation | m_transform
| the main transformation
std::map< int, ZoneType > | m_zIdToTypeMap
| the list of id seen
std::map< int, MWAWColor > | m_zIdToColorMap
| the list zoneId to color
std::map< int, std::vector< float > > | m_zIdToDashMap
| the list zoneId to dash
std::map< int, MWAWEntry > | m_zIdToDataMap
| the list zoneId to data map
std::map< int, FillStyle > | m_zIdToFillStyleMap
| the list zoneId to fillStyle
std::map< int, LineStyle > | m_zIdToLineStyleMap
| the list zoneId to lineStyle
std::map< int, std::string > | m_zIdToStringMap
| the list zoneId to string
std::map< int, std::string > | m_zIdToPostscriptMap
| the list zoneId to postscrip code
std::map< int, Shape > | m_zIdToShapeMap
| the list zoneId to shape
std::map< int, Textbox > | m_zIdToTextboxMap
| the list zoneId to textbox
int | m_actualLayer
| the actual layer
std::set< int > | m_sendIdSet
| a set of send id used to avoid potential loop
std::set< int > | m_sendLayerSet
| a set of create layer to avoid dupplicating layer

## Detailed Description

Internal: the state of a FreeHandParser.

## Constructor & Destructor Documentation

## ◆ State()

FreeHandParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addZoneId()

bool FreeHandParserInternal::State::addZoneId | ( | int | id,
|  | ZoneType | zoneType
| ) |  |
| inline

try to add a id

## ◆ getZoneType()

ZoneType FreeHandParserInternal::State::getZoneType | ( | int | id | ) | const
| inline

try to return a zone type

## ◆ updateFillStyle()

bool FreeHandParserInternal::State::updateFillStyle | ( | int | zId,
|  | MWAWGraphicStyle & | style
| ) |  | const

try to update the fill style

## ◆ updateGroupLayerId()

int FreeHandParserInternal::State::updateGroupLayerId | ( | int | zId,
|  | std::set< int > & | seen
| ) |  |

try to update the group layer id, return 0 or the new layer id

Referenced by updateGroupLayerId().

## ◆ updateLineStyle()

bool FreeHandParserInternal::State::updateLineStyle | ( | int | zId,
|  | MWAWGraphicStyle & | style
| ) |  | const

try to update the line style

## Member Data Documentation

## ◆ m_actualLayer

int FreeHandParserInternal::State::m_actualLayer

the actual layer

## ◆ m_mainGroupId

int FreeHandParserInternal::State::m_mainGroupId

the main group id

## ◆ m_sendIdSet

std::set<int> FreeHandParserInternal::State::m_sendIdSet

a set of send id used to avoid potential loop

## ◆ m_sendLayerSet

std::set<int> FreeHandParserInternal::State::m_sendLayerSet

a set of create layer to avoid dupplicating layer

## ◆ m_transform

MWAWTransformation FreeHandParserInternal::State::m_transform

the main transformation

## ◆ m_zIdToColorMap

std::map<int, MWAWColor> FreeHandParserInternal::State::m_zIdToColorMap

the list zoneId to color

Referenced by updateFillStyle(), and updateLineStyle().

## ◆ m_zIdToDashMap

std::map<int, std::vector<float> > FreeHandParserInternal::State::m_zIdToDashMap

the list zoneId to dash

Referenced by updateLineStyle().

## ◆ m_zIdToDataMap

std::map<int, MWAWEntry> FreeHandParserInternal::State::m_zIdToDataMap

the list zoneId to data map

## ◆ m_zIdToFillStyleMap

std::map<int, FillStyle> FreeHandParserInternal::State::m_zIdToFillStyleMap

the list zoneId to fillStyle

Referenced by updateFillStyle().

## ◆ m_zIdToLineStyleMap

std::map<int, LineStyle> FreeHandParserInternal::State::m_zIdToLineStyleMap

the list zoneId to lineStyle

Referenced by updateLineStyle().

## ◆ m_zIdToPostscriptMap

std::map<int, std::string> FreeHandParserInternal::State::m_zIdToPostscriptMap

the list zoneId to postscrip code

## ◆ m_zIdToShapeMap

std::map<int, Shape> FreeHandParserInternal::State::m_zIdToShapeMap

the list zoneId to shape

Referenced by updateGroupLayerId().

## ◆ m_zIdToStringMap

std::map<int, std::string> FreeHandParserInternal::State::m_zIdToStringMap

the list zoneId to string

## ◆ m_zIdToTextboxMap

std::map<int, Textbox> FreeHandParserInternal::State::m_zIdToTextboxMap

the list zoneId to textbox

Referenced by updateGroupLayerId().

## ◆ m_zIdToTypeMap

std::map<int, ZoneType> FreeHandParserInternal::State::m_zIdToTypeMap

the list of id seen

Referenced by addZoneId(), and getZoneType().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx